! Configuration File for keepalived
global_defs {
    router_id LVS_DEVEL
}
vrrp_script chk_apiserver {
    script "/etc/keepalived/check_apiserver.sh"
    interval 5
    weight -5
    fall 2
    rise 1
}
vrrp_instance VI_1 {
#注意主备参数选择
    state MASTER               #设置初始状态为"备"。
    interface enp125s0f0    #设置绑定 VIP 的网卡，例如 eth0
    virtual_router_id 109       #配置集群 virtual_router_id 值
    nopreempt                  #设置非抢占模式
    preempt_delay 10           #抢占延时10分钟
    priority 101               #设置优先级，值越大优先级越高
    advert_int 2               #检查间隔，默认1秒
    authentication {           #设置认证
        auth_type PASS             #认证方式
        auth_pass K8SHA_KA_AUTH    #认证密码
    }
    unicast_src_ip 192.168.251.131 #设置本机内网IP地址
    virtual_ipaddress {
        192.168.251.221            #设置“高可用虚拟IP”为可漂移的IP
    }
    track_script {
      chk_apiserver
    }
}
